import 'package:easy_localization/easy_localization.dart';
import 'package:flutter/material.dart';
import 'package:flutter_widget_from_html/flutter_widget_from_html.dart';
import 'package:hmg_patient_app_new/core/utils/size_utils.dart';
import 'package:hmg_patient_app_new/extensions/string_extensions.dart';
import 'package:hmg_patient_app_new/extensions/widget_extensions.dart';
import 'package:hmg_patient_app_new/generated/locale_keys.g.dart';
import 'package:hmg_patient_app_new/theme/colors.dart';
import 'package:hmg_patient_app_new/widgets/appbar/collapsing_list_view.dart';

class TermsAndCondition extends StatelessWidget {
  final String termsAndCondition;
  const TermsAndCondition({super.key, required this.termsAndCondition});

  @override
  Widget build(BuildContext context) {
      return Scaffold(
          body: Column(
              children: [

          Expanded(
          child: CollapsingListView(
          title: LocaleKeys.termsConditoins.tr(context: context),
              child:DecoratedBox(decoration:RoundedRectangleBorder().toSmoothCornerDecoration(
                color: AppColors.whiteColor,
                borderRadius: 20.h,
                hasShadow: true,
              ),child: HtmlWidget(termsAndCondition).paddingAll(16.h)).paddingAll(12.h)))]));
  }

}